Funding

Cancel an order

POST/v1/teller/order/cancel

Changes an order status from waiting-user to cancelled. Use this when the user decides not to proceed with a card payment that is awaiting confirmation.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

Cancel an order
curl --request POST \  --url 'https://gateway.bit2me.com/v1/teller/order/cancel' \  --header 'Content-Type: application/json' \  --data '{  "description": "User requested cancellation",  "orderId": "dfcf2797-05f2-4cbb-ae5b-f5608dbbf6a9"}'
{  "orderId": "dfcf2797-05f2-4cbb-ae5b-f5608dbbf6a9",  "status": "cancelled"}